#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 43. Audio Utilities

- Prev

  Audio Utilities

- Next

  CDParanoia-III-10.2

- Up
- Home

# Audacious-4.4.2

## Introduction to Audacious

Audacious is an audio player.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://distfiles.audacious-media-player.org/audacious-4.4.2.tar.bz2

- Download MD5 sum: 5866219d45b199f882cb5c31aa320528

- Download size: 624 KB

- Estimated disk space required: 16 MB (with GTK support)

- Estimated build time: 0.2 SBU (Using parallelism=4; with GTK support)

### Additional Downloads

Required Plugins

- Download (HTTP): https://distfiles.audacious-media-player.org/audacious-plugins-4.4.2.tar.bz2

- Download MD5 sum: 07cc198e6961b84e5945f889cb88ea75

- Download size: 1.7 MB

- Estimated disk space required: 40 MB (with GTK support)

- Estimated build time: 0.4 SBU (Using parallelism=4; with GTK support)

### Audacious Dependencies

#### Required

GTK-3.24.48 and Qt-6.8.2

#### Recommended

libarchive-3.7.7

#### Optional

Valgrind-3.24.0

#### Recommended (for Plugins)

mpg123-1.32.10, FFmpeg-7.1, and neon-0.34.0 (for online mp3 and ogg radio)

#### Optional (for Plugins)

alsa-lib-1.2.13, cURL-8.12.1, FAAD2-2.11.1, FLAC-1.5.0, LAME-3.100, libxml2-2.13.6, libcdio-2.1.0 (to identify and play CDs), libnotify-0.8.4, libsndfile-1.2.2, libvorbis-1.3.7, pipewire-1.2.7, PulseAudio-17.0, SDL2-2.30.11, ampache-browser, adplug, The Bauer stereophonic-to-binaural DSP (bs2b) library, FluidSynth, JACK (requires libsamplerate-0.2.2), libcue, libmodplug, libmms, libopenmpt, libsidplayfp, LIRC, sndio, SoX, and WavPack

## Installation of Audacious

### Installation of the Main Audacious Program

Install Audacious by running the following commands (you may wish to change the buildstamp to another string):

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk=true         \
                -D qt=true          \
                -D buildstamp=BLFS  \
                -D libarchive=true  \
                ..                  &&

    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

### Installation of Audacious Plugins

Install the required plugins package by issuing the following commands:

    tar -xf ../../audacious-plugins-4.4.2.tar.bz2 &&
    cd audacious-plugins-4.4.2                    &&

    mkdir build &&
    cd    build &&

    meson setup           \
      --prefix=/usr       \
      --buildtype=release \
      -D gtk=true         \
      -D qt=true          \
      ..                  &&

    ninja

Now, as the `root` user:

    ninja install

## Command Explanations

`-D buildstamp=BLFS`: This switch appends the given text to the version string.

`-D gtk=true`: This option enables GTK support for the graphical user interface.

`-D qt=true`: This option enables Qt support for the graphical user interface.

`-D libarchive=true`: This adds libarchive support, for reading compressed module sets or skins.

`-D valgrind=true`: The option enables Valgrind analysis support.

## Contents

Installed Programs: audacious and audtool
Installed Libraries: libaudcore.so, libaudgui.so, libaudqt.so, libaudtag.so, and several plugin libraries under /usr/lib/audacious/ sub-directories
Installed Directories: /usr/include/{audacious,libaudcore,libaudgui,libaudqt}, /usr/lib/audacious, and /usr/share/audacious

### Short Descriptions

audacious | is an audio player and is a descendant of XMMS
audtool | is a small tool to modify the behavior of a running audacious instance

- Prev

  Audio Utilities

- Next

  CDParanoia-III-10.2

- Up
- Home